[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.Clear

Clears the content for the bitmap image.

## Declaration

Source position: graphics.pp line 1419

`public procedure TCustomBitmap.Clear; override;`

## Description

Clear is an overridden method in TCustomBitmap. It extends the method defined in TRasterImage. It sets the PixelFormat property to its default value (pfDevice), and calls the inherited method to free the internal save stream for the shared image.

## See also

TCustomBitmap.Changed |  | Performs actions needed when the image data for the bitmap has been changed.
TRasterImage.PixelFormat |  | Storage format for the Pixels in the Image.
TRasterImage.Clear |  | Removes raw image data and frees the internal save stream.